package com.chenyang.nse.bussiness.entity.orm.table.core.subset;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SUBSET_INFO"
)
public class TCoreSubsetInfo extends TBaseEntity {
   private String subname;
   private String subsql;
   private String filterexp;
   private Date createtime;
   private Date updatetime;

   public String getSubname() {
      return this.subname;
   }

   public void setSubname(String subname) {
      this.subname = subname;
   }

   public String getSubsql() {
      return this.subsql;
   }

   public void setSubsql(String subsql) {
      this.subsql = subsql;
   }

   public String getFilterexp() {
      return this.filterexp;
   }

   public void setFilterexp(String filterexp) {
      this.filterexp = filterexp;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }
}
